Bug 227427 - devel/boost-all: Update to 1.67.0
Summary: devel/boost-all: Update to 1.67.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-office mailing list
URL: http://www.boost.org/users/history/ve...
Keywords: patch
Depends on: 223922 227428 227540 227553
Blocks: 229569
  Show dependency treegraph
 
Reported: 2018-04-10 18:23 UTC by Jan Beich
Modified: 2018-07-15 23:40 UTC (History)
1 user (show)

See Also:
jbeich: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-04-10 18:23:03 UTC
See review D15030 for the patch. Each update breaks ABI.
Comment 1 Jan Beich freebsd_committer 2018-04-10 19:12:49 UTC
I'd like to understand the scope of bustage, try to fix some and mark the rest BROKEN. To avoid ending up like bug 199601 there's no plan to delay. As 2018Q2 recently branched maintainers would have plenty of time to help.

### /usr/local/etc/poudriere.d/PR227427-make.conf ###
OPTIONS_SET                     += BOOST
audio_pms_SET                   += REGEX
databases_mariadb100-server_SET += OQGRAPH
databases_mariadb101-server_SET += OQGRAPH
databases_mariadb102-server_SET += OQGRAPH
devel_blitz_SET                 += SERIALIZATION
graphics_vigra_SET              += NUMPY
science_tfel_SET                += PYTHON
textproc_kiss-templates_SET     += TEST
www_nghttp2_SET                 += ASIO
Comment 2 commit-hook freebsd_committer 2018-04-13 13:06:06 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 13 13:05:17 UTC 2018
New revision: 467238
URL: https://svnweb.freebsd.org/changeset/ports/467238

Log:
  net-p2p/libtorrent-rasterbar: unbreak with boost 1.67

  In file included from disk_buffer_holder.cpp:34:
  In file included from ../include/libtorrent/aux_/session_impl.hpp:73:
  ../include/libtorrent/ip_filter.hpp:168:34: error: no member named 'prior' in namespace 'boost'; did you mean
        'perror'?
                          boost::uint32_t last_access = boost::prior(j)->access;
                                                        ^~~~~~~~~~~~
                                                        perror
  /usr/include/stdio.h:266:7: note: 'perror' declared here
  void     perror(const char *);
           ^
  In file included from disk_buffer_holder.cpp:34:
  In file included from ../include/libtorrent/aux_/session_impl.hpp:73:
  ../include/libtorrent/ip_filter.hpp:174:43: error: no member named 'prior' in namespace 'boost'; did you mean
        'perror'?
                          else if (i != m_access_list.begin() && boost::prior(i)->access == flags)
                                                                 ^~~~~~~~~~~~
                                                                 perror
  /usr/include/stdio.h:266:7: note: 'perror' declared here
  void     perror(const char *);
           ^
  In file included from disk_buffer_holder.cpp:34:
  In file included from ../include/libtorrent/aux_/session_impl.hpp:73:
  ../include/libtorrent/ip_filter.hpp:182:43: error: no member named 'next' in namespace 'boost'
                          if (i != j) m_access_list.erase(boost::next(i), j);
                                                          ~~~~~~~^

  kademlia/routing_table.cpp:716:26: error: no member named 'next' in namespace 'boost'; did you mean 'std::next'?
          bool const can_split = (boost::next(i) == m_buckets.end()
                                  ^~~~~~~~~~~
                                  std::next
  /usr/include/c++/v1/iterator:519:1: note: 'std::next' declared here
  next(_ForwardIter __x,
  ^
  kademlia/routing_table.cpp:719:40: error: no member named 'prior' in namespace 'boost'
                  && (i == m_buckets.begin() || boost::prior(i)->live_nodes.size() > 1);
                                                ~~~~~~~^

  PR:		227427
  Obtained from:	upstream

Changes:
  head/net-p2p/libtorrent-rasterbar/Makefile
  head/net-p2p/libtorrent-rasterbar/distinfo
Comment 3 commit-hook freebsd_committer 2018-04-15 00:42:46 UTC
A commit references this bug:

Author: jbeich
Date: Sun Apr 15 00:41:58 UTC 2018
New revision: 467359
URL: https://svnweb.freebsd.org/changeset/ports/467359

Log:
  graphics/py-exiv2: unbreak with boost 1.67

  c++ -o build/libexiv2python.so -fstack-protector -shared build/exiv2wrapper.os build/exiv2wrapper_python.os -L/usr/local/lib -lboost_python -lexiv2
  /usr/bin/ld: cannot find -lboost_python

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/graphics/py-exiv2/Makefile
Comment 4 commit-hook freebsd_committer 2018-04-15 04:56:04 UTC
A commit references this bug:

Author: jbeich
Date: Sun Apr 15 04:55:45 UTC 2018
New revision: 467364
URL: https://svnweb.freebsd.org/changeset/ports/467364

Log:
  comms/uhd: unbreak with boost 1.67

  host/lib/usrp/cores/rx_vita_core_3000.cpp:77:35: error:
        no matching conversion for functional-style cast from 'double' to 'boost::posix_time::milliseconds' (aka
        'subsecond_duration<boost::posix_time::time_duration, 1000>')
          boost::this_thread::sleep(boost::posix_time::milliseconds(1.0));
                                    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/comms/uhd/Makefile
  head/comms/uhd/files/
  head/comms/uhd/files/patch-boost-1.67
Comment 5 commit-hook freebsd_committer 2018-04-15 04:56:06 UTC
A commit references this bug:

Author: jbeich
Date: Sun Apr 15 04:56:01 UTC 2018
New revision: 467365
URL: https://svnweb.freebsd.org/changeset/ports/467365

Log:
  net-mgmt/icinga2: unbreak with boost 1.67

  In file included from lib/base/base_unity.cpp:61:
  lib/base/timer.cpp:269:31: error: no matching conversion for functional-style cast from 'double' to 'boost::posix_time::milliseconds' (aka 'subsecond_duration<boost::posix_time::time_duration, 1000>')
                          l_TimerCV.timed_wait(lock, boost::posix_time::milliseconds(wait * 1000));
                                                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/net-mgmt/icinga2/files/patch-boost-1.67
Comment 6 Jan Beich freebsd_committer 2018-04-16 04:13:21 UTC
(In reply to Jan Beich from comment #1)
> graphics_vigra_SET              += NUMPY

Antoine, can you drop this line from *make.conf? vigra bustage (bug 227428) blocks ~120 ports, including libreoffice and openoffice.
Comment 7 Jan Beich freebsd_committer 2018-04-16 06:04:39 UTC
Nevermind comment 6. ports r467437 + attachment 192545 [details] (already included in review D15030) should be enough.
Comment 8 commit-hook freebsd_committer 2018-04-17 07:57:06 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 17 07:57:02 UTC 2018
New revision: 467569
URL: https://svnweb.freebsd.org/changeset/ports/467569

Log:
  sysutils/usbtop: unbreak with boost 1.67

  /usr/bin/ld: undefined reference to symbol `pthread_condattr_init@@FBSD_1.0' (try adding -lthr)

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/sysutils/usbtop/files/patch-boost-1.67
Comment 9 commit-hook freebsd_committer 2018-04-17 07:58:09 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 17 07:57:13 UTC 2018
New revision: 467570
URL: https://svnweb.freebsd.org/changeset/ports/467570

Log:
  games/opendungeons: unbreak with boost 1.67

  /usr/bin/ld: undefined reference to symbol `pthread_condattr_init@@FBSD_1.0' (try adding -lthr)

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/games/opendungeons/files/patch-boost-1.67
Comment 10 commit-hook freebsd_committer 2018-04-17 07:58:11 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 17 07:57:23 UTC 2018
New revision: 467571
URL: https://svnweb.freebsd.org/changeset/ports/467571

Log:
  cad/freecad: unbreak with boost 1.67

  CMakeFiles/SMESH.dir/src/SMESH/SMESH_Mesh.cpp.o: In function `boost::condition_variable::condition_variable()':
  src/3rdParty/salomesmesh/src/SMESH/SMESH_Mesh.cpp:(.text._ZN5boost18condition_variableC2Ev[_ZN5boost18condition_variableC2Ev]+0x33): undefined reference to `pthread_condattr_init'
  src/3rdParty/salomesmesh/src/SMESH/SMESH_Mesh.cpp:(.text._ZN5boost18condition_variableC2Ev[_ZN5boost18condition_variableC2Ev]+0x4a): undefined reference to `pthread_condattr_setclock'
  src/3rdParty/salomesmesh/src/SMESH/SMESH_Mesh.cpp:(.text._ZN5boost18condition_variableC2Ev[_ZN5boost18condition_variableC2Ev]+0x5f): undefined reference to `pthread_condattr_destroy'

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/cad/freecad/files/patch-boost-1.67
Comment 11 commit-hook freebsd_committer 2018-04-17 07:58:13 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 17 07:57:33 UTC 2018
New revision: 467572
URL: https://svnweb.freebsd.org/changeset/ports/467572

Log:
  graphics/aqsis: unbreak with boost 1.67

  /usr/bin/ld: undefined reference to symbol `pthread_condattr_init@@FBSD_1.0' (try adding -lthr)

  PR:		227427
  Reported by:	antoine (via exp-run)
  Regressed by:	https://github.com/boostorg/thread/commit/1e84b978b2bb

Changes:
  head/graphics/aqsis/Makefile
Comment 12 commit-hook freebsd_committer 2018-04-17 09:33:36 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 17 09:33:18 UTC 2018
New revision: 467586
URL: https://svnweb.freebsd.org/changeset/ports/467586

Log:
  dns/powerdns-recursor: unbreak with boost 1.67

  In file included from lua-recursor4.cc:26:
  In file included from ./syncres.hh:42:
  In file included from ./recpacketcache.hh:41:
  In file included from ./rec-protobuf.hh:24:
  In file included from ./protobuf.hh:34:
  In file included from /usr/local/include/boost/uuid/uuid_generators.hpp:17:
  In file included from /usr/local/include/boost/uuid/random_generator.hpp:19:
  In file included from /usr/local/include/boost/tti/has_member_function.hpp:15:
  In file included from /usr/local/include/boost/tti/detail/dmem_fun.hpp:11:
  In file included from /usr/local/include/boost/function_types/is_member_function_pointer.hpp:14:
  In file included from /usr/local/include/boost/function_types/components.hpp:61:
  /usr/local/include/boost/function_types/detail/class_transform.hpp:26:31: error: expected a qualified name after 'typename'
  template<typename T, typename L>
                                ^
  ./recursor_cache.hh:45:11: note: expanded from macro 'L'
   #define L theL()
             ^

  PR:		227427
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/files/patch-boost-1.67
Comment 13 commit-hook freebsd_committer 2018-04-17 09:33:38 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 17 09:33:29 UTC 2018
New revision: 467587
URL: https://svnweb.freebsd.org/changeset/ports/467587

Log:
  dns/powerdns-recursor40: unbreak with boost 1.67

  In file included from ecs.cc:1:
  In file included from ./syncres.hh:43:
  In file included from ./recpacketcache.hh:39:
  In file included from ./rec-protobuf.hh:24:
  In file included from ./protobuf.hh:34:
  In file included from /usr/local/include/boost/uuid/uuid_generators.hpp:17:
  In file included from /usr/local/include/boost/uuid/random_generator.hpp:19:
  In file included from /usr/local/include/boost/tti/has_member_function.hpp:15:
  In file included from /usr/local/include/boost/tti/detail/dmem_fun.hpp:11:
  In file included from /usr/local/include/boost/function_types/is_member_function_pointer.hpp:14:
  In file included from /usr/local/include/boost/function_types/components.hpp:61:
  /usr/local/include/boost/function_types/detail/class_transform.hpp:26:31: error: expected a qualified name after 'typename'
  template<typename T, typename L>
                                ^
  ./recursor_cache.hh:43:11: note: expanded from macro 'L'
   #define L theL()
             ^

  PR:		227427
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream

Changes:
  head/dns/powerdns-recursor40/Makefile
  head/dns/powerdns-recursor40/files/patch-boost-1.67
Comment 14 commit-hook freebsd_committer 2018-04-17 09:34:41 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 17 09:33:39 UTC 2018
New revision: 467588
URL: https://svnweb.freebsd.org/changeset/ports/467588

Log:
  dns/dnsdist: unbreak with boost 1.67

  In file included from dnsdist.cc:44:
  In file included from ./dnsdist.hh:46:
  In file included from /usr/local/include/boost/uuid/uuid_generators.hpp:17:
  In file included from /usr/local/include/boost/uuid/random_generator.hpp:19:
  In file included from /usr/local/include/boost/tti/has_member_function.hpp:15:
  In file included from /usr/local/include/boost/tti/detail/dmem_fun.hpp:11:
  In file included from /usr/local/include/boost/function_types/is_member_function_pointer.hpp:14:
  In file included from /usr/local/include/boost/function_types/components.hpp:61:
  /usr/local/include/boost/function_types/detail/class_transform.hpp:26:31: error: expected a qualified name after 'typename'
  template<typename T, typename L>
                                ^
  ./dns.hh:238:11: note: expanded from macro 'L'
   #define L theL()
             ^

  PR:		227427
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream

Changes:
  head/dns/dnsdist/files/patch-boost-1.67
Comment 15 Antoine Brodin freebsd_committer 2018-04-17 15:25:23 UTC
New failures on 11.1 amd64:

+ {"origin"=>"cad/freecad", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"comms/gnuradio", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mongodb34", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/mongodb36", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/RStudio", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/mongo-cxx-driver", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/uatraits", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"dns/dnsdist", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"dns/powerdns-recursor", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"dns/powerdns-recursor40", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"editors/openoffice-4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"editors/openoffice-devel", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/opendungeons", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/vegastrike", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/aqsis", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/caffe", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/gsculpt", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/pcl-pointclouds", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/py-openimageio", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"net-p2p/monero-cli", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/ceph", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/condor", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/usbtop", "phase"=>"build", "errortype"=>"linker_error"}
Comment 17 Antoine Brodin freebsd_committer 2018-04-17 17:19:39 UTC
Exp-run results on 10.3 i386;

http://package23.nyi.freebsd.org/build.html?mastername=103i386-default-PR227427&build=2018-04-17_05h28m01s

New failures on 10.3 i386:

+ {"origin"=>"comms/gnuradio", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/RStudio", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/mongo-cxx-driver", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/uatraits", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"dns/powerdns-recursor40", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"editors/openoffice-4", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"editors/openoffice-devel", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/opendungeons", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/vegastrike", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/aqsis", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/caffe", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/gsculpt", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/pcl-pointclouds", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/py-openimageio", "phase"=>"stage", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/monero-cli", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/condor", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/usbtop", "phase"=>"build", "errortype"=>"bad_C++_code"}
Comment 18 Antoine Brodin freebsd_committer 2018-04-17 17:21:50 UTC
Exp-run results on 10.3 amd64:

http://package22.nyi.freebsd.org/build.html?mastername=103amd64-default-PR227427&build=2018-04-17_15h33m37s


New failures on 10.3 amd64:

+ {"origin"=>"comms/gnuradio", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"databases/mongodb34", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/RStudio", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/mongo-cxx-driver", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/uatraits", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"editors/openoffice-4", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"editors/openoffice-devel", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/flightgear-terragear", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/vegastrike", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/caffe", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/gsculpt", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/pcl-pointclouds", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/py-openimageio", "phase"=>"stage", "errortype"=>"bad_C++_code"}
+ {"origin"=>"lang/solidity", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/monero-cli", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/condor", "phase"=>"build", "errortype"=>"bad_C++_code"}
Comment 19 Antoine Brodin freebsd_committer 2018-04-17 19:31:36 UTC
Exp-run results on 11.1 i386:

http://package23.nyi.freebsd.org/build.html?mastername=111i386-default-PR227427&build=2018-04-17_17h22m58s

New failure on 11.1 i386:

+ {"origin"=>"comms/gnuradio", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/RStudio", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/mongo-cxx-driver", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/uatraits", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"editors/openoffice-4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"editors/openoffice-devel", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/vegastrike", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/caffe", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/gsculpt", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/pcl-pointclouds", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/py-openimageio", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"net-p2p/monero-cli", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/condor", "phase"=>"build", "errortype"=>"bad_C++_code"}
Comment 20 commit-hook freebsd_committer 2018-04-18 06:39:07 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 18 06:38:30 UTC 2018
New revision: 467677
URL: https://svnweb.freebsd.org/changeset/ports/467677

Log:
  databases/mongodb36: unbreak with boost 1.67

  In file included from src/third_party/yaml-cpp-0.5.3/src/nodebuilder.cpp:5:
  In file included from src/third_party/yaml-cpp-0.5.3/include/yaml-cpp/node/detail/node.h:14:
  In file included from src/third_party/yaml-cpp-0.5.3/include/yaml-cpp/node/detail/node_ref.h:13:
  In file included from src/third_party/yaml-cpp-0.5.3/include/yaml-cpp/node/detail/node_data.h:20:
  In file included from src/third_party/yaml-cpp-0.5.3/include/yaml-cpp/node/iterator.h:13:
  src/third_party/yaml-cpp-0.5.3/include/yaml-cpp/node/detail/iterator.h:48:54: error: no member named 'next' in namespace 'boost'
    void increment() { this->base_reference() = boost::next(this->base()); }
                                                ~~~~~~~^

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/databases/mongodb36/files/patch-boost-1.67
Comment 21 commit-hook freebsd_committer 2018-04-18 06:39:09 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 18 06:38:59 UTC 2018
New revision: 467678
URL: https://svnweb.freebsd.org/changeset/ports/467678

Log:
  databases/mongodb34: unbreak with boost 1.67

  In file included from src/third_party/yaml-cpp-0.5.3/src/convert.cpp:3:
  In file included from src/third_party/yaml-cpp-0.5.3/include/yaml-cpp/node/convert.h:17:
  In file included from src/third_party/yaml-cpp-0.5.3/include/yaml-cpp/node/impl.h:11:
  In file included from src/third_party/yaml-cpp-0.5.3/include/yaml-cpp/node/iterator.h:13:
  src/third_party/yaml-cpp-0.5.3/include/yaml-cpp/node/detail/iterator.h:48:54: error: no member named 'next' in namespace 'boost'
    void increment() { this->base_reference() = boost::next(this->base()); }
                                                ~~~~~~~^

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/databases/mongodb34/files/patch-boost-1.67
Comment 22 commit-hook freebsd_committer 2018-04-18 06:40:13 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 18 06:39:11 UTC 2018
New revision: 467679
URL: https://svnweb.freebsd.org/changeset/ports/467679

Log:
  devel/mongo-cxx-driver: unbreak with boost 1.67

  src/mongo/client/command_writer.cpp:68:78: error: no member named 'next' in namespace 'boost'
              const std::vector<WriteOperation*>::const_iterator next = boost::next(batch_iter);
                                                                        ~~~~~~~^
  src/mongo/util/net/message_port.h:34:38: error: expected class name
  class AbstractMessagingPort : boost::noncopyable {
                                       ^

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/devel/mongo-cxx-driver/files/patch-boost-1.67
Comment 23 commit-hook freebsd_committer 2018-04-18 06:40:15 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 18 06:39:24 UTC 2018
New revision: 467680
URL: https://svnweb.freebsd.org/changeset/ports/467680

Log:
  graphics/py-openimageio: unbreak with boost 1.67

  -- Boost python support not found -- will not build python components!
  [...]
  install  -s -m 0644 /wrkdirs/usr/ports/graphics/py-openimageio/work/.build/src/python/OpenImageIO.so /wrkdirs/usr/ports/graphics/py-openimageio/work/stage/usr/local/lib/python2.7/site-packages
  install: /wrkdirs/usr/ports/graphics/py-openimageio/work/.build/src/python/OpenImageIO.so: No such file or directory

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/graphics/openimageio/Makefile
Comment 24 commit-hook freebsd_committer 2018-04-18 06:40:18 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 18 06:39:51 UTC 2018
New revision: 467682
URL: https://svnweb.freebsd.org/changeset/ports/467682

Log:
  devel/uatraits: unbreak with boost 1.67

  checking for boost_python... boost_python
  checking boost/python.hpp usability... yes
  checking boost/python.hpp presence... yes
  checking for boost/python.hpp... yes
  checking linkage with boost::python... no
  [...]
  configure: error: boost python isn't installed for python binding

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/devel/uatraits/Makefile
Comment 25 commit-hook freebsd_committer 2018-04-18 08:04:29 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 18 08:04:04 UTC 2018
New revision: 467687
URL: https://svnweb.freebsd.org/changeset/ports/467687

Log:
  graphics/caffe: unbreak with boost 1.67

  /usr/local/bin/ld: cannot find -lboost_python
  clang++: error: linker command failed with exit code 1 (use -v to see invocation)
  gmake[1]: *** [Makefile:508: python/caffe/_caffe.so] Error 1

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/graphics/caffe/Makefile
Comment 26 commit-hook freebsd_committer 2018-04-18 08:16:41 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 18 08:16:17 UTC 2018
New revision: 467688
URL: https://svnweb.freebsd.org/changeset/ports/467688

Log:
  sysutils/condor: unbreak with boost 1.67

  [ 98%] Linking CXX shared library libclassad_python_user.so
  /usr/bin/ld: cannot find -lboost_python

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/sysutils/condor/Makefile
  head/sysutils/condor/files/patch-src_python-bindings_CMakeLists.txt
Comment 27 commit-hook freebsd_committer 2018-04-18 08:34:01 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 18 08:33:49 UTC 2018
New revision: 467692
URL: https://svnweb.freebsd.org/changeset/ports/467692

Log:
  graphics/gsculpt: unbreak with boost 1.67

  /usr/bin/ld: cannot find -lboost_python
  c++: error: linker command failed with exit code 1 (use -v to see invocation)
  scons: *** [libMath.so] Error 1

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/graphics/gsculpt/Makefile
Comment 28 commit-hook freebsd_committer 2018-04-18 08:35:05 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 18 08:34:06 UTC 2018
New revision: 467693
URL: https://svnweb.freebsd.org/changeset/ports/467693

Log:
  games/vegastrike: unbreak with boost 1.67

  /usr/bin/ld: cannot find -lboost_python
  c++: error: linker command failed with exit code 1 (use -v to see invocation)
  gmake[2]: *** [Makefile:3504: vegastrike] Error 1

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/games/vegastrike/Makefile
Comment 29 commit-hook freebsd_committer 2018-04-18 09:13:36 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 18 09:13:00 UTC 2018
New revision: 467696
URL: https://svnweb.freebsd.org/changeset/ports/467696

Log:
  net/ceph: unbreak with boost 1.67

  src/rbd_replay/Replayer.cc:353:65: error: no matching conversion for functional-style cast from 'float' to 'boost::posix_time::microseconds' (aka 'subsecond_duration<boost::posix_time::time_duration, 1000000>')
      boost::system_time sub_release_time(action_completed_time + boost::posix_time::microseconds(dep.time_delta * m_latency_multiplier / 1000));
                                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/net/ceph/files/patch-boost-1.67
Comment 30 commit-hook freebsd_committer 2018-04-18 09:13:39 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 18 09:13:15 UTC 2018
New revision: 467697
URL: https://svnweb.freebsd.org/changeset/ports/467697

Log:
  net-p2p/monero-cli: unbreak with boost 1.67

  In file included from src/cryptonote_basic/hardfork.cpp:33:
  In file included from src/blockchain_db/blockchain_db.h:42:
  In file included from src/cryptonote_basic/hardfork.h:31:
  contrib/epee/include/syncobj.h:37:10: fatal error: 'boost/thread/v2/thread.hpp' file not found
   #include <boost/thread/v2/thread.hpp>
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
  In file included from src/rpc/daemon_handler.cpp:29:
  In file included from src/rpc/daemon_handler.h:36:
  In file included from src/p2p/net_node.h:41:
  In file included from contrib/epee/include/net/levin_server_cp2.h:32:
  In file included from contrib/epee/include/net/abstract_tcp_server2.h:324:
  contrib/epee/include/net/abstract_tcp_server2.inl:44:10: fatal error: 'boost/thread/v2/thread.hpp' file not found
   #include <boost/thread/v2/thread.hpp> // TODO
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/net-p2p/monero-cli/files/patch-boost-1.67
Comment 31 commit-hook freebsd_committer 2018-04-18 10:18:30 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 18 10:17:35 UTC 2018
New revision: 467699
URL: https://svnweb.freebsd.org/changeset/ports/467699

Log:
  devel/RStudio: unbreak with boost 1.67

  src/cpp/core/DateTime.cpp:68:26: error: no matching conversion for functional-style cast from 'double' to 'boost::posix_time::seconds'
     return time_t_epoch + seconds(sec);
                           ^~~~~~~~~~~
  /usr/local/include/boost/date_time/posix_time/posix_time_duration.hpp:53:30: note: candidate constructor (the implicit copy constructor) not viable: no known conversion from 'double' to 'const boost::posix_time::seconds' for 1st argument
    class BOOST_SYMBOL_VISIBLE seconds : public time_duration
                               ^
  /usr/local/include/boost/date_time/posix_time/posix_time_duration.hpp:58:37: note: candidate template ignored: disabled by 'enable_if' [with T = double]
            typename boost::enable_if<boost::is_integral<T>, void>::type* = 0) :
                                      ^

  PR:		227427
  Reported by:	antoine (via exp-run)

Changes:
  head/devel/RStudio/Makefile
  head/devel/RStudio/files/patch-boost-1.67
Comment 32 commit-hook freebsd_committer 2018-04-18 12:38:33 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 18 12:38:19 UTC 2018
New revision: 467709
URL: https://svnweb.freebsd.org/changeset/ports/467709

Log:
  comms/gnuradio: unbreak with boost 1.67

  gr-blocks/lib/message_strobe_impl.cc:93:35: error: no matching conversion for functional-style cast from 'float' to 'boost::posix_time::milliseconds' (aka 'subsecond_duration<boost::posix_time::time_duration, 1000>')
          boost::this_thread::sleep(boost::posix_time::milliseconds(d_period_ms));
                                    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  /usr/local/include/boost/date_time/time_duration.hpp:270:30: note: candidate constructor (the implicit copy constructor) not viable: no known conversion from 'float' to 'const boost::date_time::subsecond_duration<boost::posix_time::time_duration, 1000>' for 1st argument
    class BOOST_SYMBOL_VISIBLE subsecond_duration : public base_duration
                               ^
  /usr/local/include/boost/date_time/time_duration.hpp:286:59: note: candidate template ignored: disabled by 'enable_if' [with T = float]
                                  typename boost::enable_if<boost::is_integral<T>, void>::type* = 0) :
                                                            ^

  /usr/local/bin/ld: CMakeFiles/tags_demo.dir/tags_demo.cc.o: undefined reference to symbol 'pthread_condattr_init@@FBSD_1.0'
  //lib/libthr.so.3: error adding symbols: DSO missing from command line
  c++: error: linker command failed with exit code 1 (use -v to see invocation)
  *** [gr-uhd/examples/c++/tags_demo] Error code 1

  PR:		227427
  Reported by:	antoine (via exp-run)
  Obtained from:	Homebrew

Changes:
  head/comms/gnuradio/files/patch-boost-1.67
Comment 33 commit-hook freebsd_committer 2018-04-18 12:55:48 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 18 12:54:58 UTC 2018
New revision: 467710
URL: https://svnweb.freebsd.org/changeset/ports/467710

Log:
  lang/solidity: unbreak with boost 1.67 on 10.*

  In file included from libjulia/optimiser/FunctionGrouper.cpp:22:
  In file included from ./libjulia/optimiser/FunctionGrouper.h:24:
  In file included from ./libjulia/ASTDataForward.h:24:
  In file included from ./libsolidity/inlineasm/AsmDataForward.h:25:
  In file included from /usr/local/include/boost/variant.hpp:17:
  In file included from /usr/local/include/boost/variant/variant.hpp:21:
  In file included from /usr/local/include/boost/type_index.hpp:29:
  In file included from /usr/local/include/boost/type_index/stl_type_index.hpp:43:
  In file included from /usr/local/include/boost/container_hash/hash.hpp:760:
  In file included from /usr/local/include/boost/container_hash/extensions.hpp:22:
  In file included from /usr/local/include/boost/detail/container_fwd.hpp:93:
  /usr/include/c++/v1/vector:504:70: error: no member named 'value' in 'std::__1::is_nothrow_default_constructible<std::__1::allocator<boost::variant<dev::solidity::assembly::ExpressionStatement, dev::solidity::assembly::Instruction, dev::solidity::assembly::Label, dev::solidity::assembly::StackAssignment, dev::solidity::assembly::Assignment, dev::solidity::assembly::VariableDeclaration, dev::solidity::assembly::FunctionDefinition, dev::solidity::assembly::If, dev::solidity::assembly::Switch, dev::solidity::assembly::ForLoop, dev::solidity::assembly::Block> > >'
          _NOEXCEPT_(is_nothrow_default_constructible<allocator_type>::value)
                     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^
  /usr/include/c++/v1/__config:349:34: note: expanded from macro '_NOEXCEPT_'
   #  define _NOEXCEPT_(x) noexcept(x)
                                    ^
  ./libsolidity/inlineasm/AsmData.h:70:64: note: in instantiation of exception specification for 'vector' requested here
  struct Block { SourceLocation location; std::vector<Statement> statements; };
                                                                 ^
  /usr/local/include/boost/mpl/aux_/nested_type_wknd.hpp:27:7: note: in instantiation of template class 'boost::has_nothrow_constructor<dev::solidity::assembly::FunctionDefinition>' requested here
      : T::type
        ^
  /usr/local/include/boost/mpl/not.hpp:41:11: note: in instantiation of template class 'boost::mpl::aux::nested_type_wknd<boost::has_nothrow_constructor<dev::solidity::assembly::FunctionDefinition> >' requested here
            BOOST_MPL_AUX_NESTED_TYPE_WKND(T)::value
            ^
  /usr/local/include/boost/mpl/aux_/nested_type_wknd.hpp:38:24: note: expanded from macro 'BOOST_MPL_AUX_NESTED_TYPE_WKND'
      ::boost::mpl::aux::nested_type_wknd<T> \
                         ^
  /usr/local/include/boost/mpl/aux_/nested_type_wknd.hpp:27:7: note: in instantiation of template class 'boost::mpl::not_<boost::has_nothrow_constructor<dev::solidity::assembly::FunctionDefinition> >' requested here
      : T::type
        ^
  /usr/local/include/boost/mpl/aux_/preprocessed/gcc/and.hpp:25:11: note: in instantiation of template class 'boost::mpl::aux::nested_type_wknd<boost::mpl::apply1<boost::mpl::protect<boost::detail::variant::find_fallback_type_pred, 0>, boost::mpl::l_iter<boost::mpl::l_item<mpl_::long_<5>, dev::solidity::assembly::FunctionDefinition, boost::mpl::l_item<mpl_::long_<4>, dev::solidity::assembly::If, boost::mpl::l_item<mpl_::long_<3>, dev::solidity::assembly::Switch, boost::mpl::l_item<mpl_::long_<2>, dev::solidity::assembly::ForLoop, boost::mpl::l_item<mpl_::long_<1>, dev::solidity::assembly::Block, boost::mpl::l_end> > > > > > > >' requested here
            BOOST_MPL_AUX_NESTED_TYPE_WKND(T1)::value
            ^
  /usr/local/include/boost/mpl/aux_/nested_type_wknd.hpp:38:24: note: expanded from macro 'BOOST_MPL_AUX_NESTED_TYPE_WKND'
      ::boost::mpl::aux::nested_type_wknd<T> \
                         ^
  /usr/local/include/boost/mpl/aux_/preprocessed/gcc/and.hpp:50:7: note: (skipping 13 contexts in backtrace; use -ftemplate-backtrace-limit=0 to see all)
      : aux::and_impl<
        ^
  /usr/include/c++/v1/type_traits:2445:14: note: in instantiation of template class 'std::__1::__is_constructible_void_check<false, std::__1::allocator<boost::variant<dev::solidity::assembly::ExpressionStatement, dev::solidity::assembly::Instruction, dev::solidity::assembly::Label, dev::solidity::assembly::StackAssignment, dev::solidity::assembly::Assignment, dev::solidity::assembly::VariableDeclaration, dev::solidity::assembly::FunctionDefinition, dev::solidity::assembly::If, dev::solidity::assembly::Switch, dev::solidity::assembly::ForLoop, dev::solidity::assembly::Block> >>' requested here
      : public __is_constructible_void_check<__contains_void<_Tp, _Args...>::value
               ^
  /usr/include/c++/v1/type_traits:2936:41: note: in instantiation of template class 'std::__1::is_constructible<std::__1::allocator<boost::variant<dev::solidity::assembly::ExpressionStatement, dev::solidity::assembly::Instruction, dev::solidity::assembly::Label, dev::solidity::assembly::StackAssignment, dev::solidity::assembly::Assignment, dev::solidity::assembly::VariableDeclaration, dev::solidity::assembly::FunctionDefinition, dev::solidity::assembly::If, dev::solidity::assembly::Switch, dev::solidity::assembly::ForLoop, dev::solidity::assembly::Block> >>' requested here
      : __libcpp_is_nothrow_constructible<is_constructible<_Tp, _Args...>::value, is_reference<_Tp>::value, _Tp, _Args...>
                                          ^
  /usr/include/c++/v1/type_traits:3059:14: note: in instantiation of template class 'std::__1::is_nothrow_constructible<std::__1::allocator<boost::variant<dev::solidity::assembly::ExpressionStatement, dev::solidity::assembly::Instruction, dev::solidity::assembly::Label, dev::solidity::assembly::StackAssignment, dev::solidity::assembly::Assignment, dev::solidity::assembly::VariableDeclaration, dev::solidity::assembly::FunctionDefinition, dev::solidity::assembly::If, dev::solidity::assembly::Switch, dev::solidity::assembly::ForLoop, dev::solidity::assembly::Block> >>' requested here
      : public is_nothrow_constructible<_Tp>
               ^
  /usr/include/c++/v1/vector:504:20: note: in instantiation of template class 'std::__1::is_nothrow_default_constructible<std::__1::allocator<boost::variant<dev::solidity::assembly::ExpressionStatement, dev::solidity::assembly::Instruction, dev::solidity::assembly::Label, dev::solidity::assembly::StackAssignment, dev::solidity::assembly::Assignment, dev::solidity::assembly::VariableDeclaration, dev::solidity::assembly::FunctionDefinition, dev::solidity::assembly::If, dev::solidity::assembly::Switch, dev::solidity::assembly::ForLoop, dev::solidity::assembly::Block> > >' requested here
          _NOEXCEPT_(is_nothrow_default_constructible<allocator_type>::value)
                     ^
  /usr/include/c++/v1/__config:349:34: note: expanded from macro '_NOEXCEPT_'
   #  define _NOEXCEPT_(x) noexcept(x)
                                    ^
  libjulia/optimiser/FunctionGrouper.cpp:38:20: note: in instantiation of exception specification for 'vector' requested here
          vector<Statement> reordered;
                            ^

  PR:		227427
  Reported by:	antoine (via exp-run)
  See also:	https://reviews.llvm.org/rL276084

Changes:
  head/lang/solidity/Makefile
Comment 34 Jan Beich freebsd_committer 2018-04-18 13:19:19 UTC
(In reply to Antoine Brodin from comment #18)
> + {"origin"=>"games/flightgear-terragear", "phase"=>"build", "errortype"=>"bad_C++_code"}

Probably a false positive. __cxa_thread_exit is referenced by symbols from math/cgal. Why it didn't show up on i386 then?
Comment 35 commit-hook freebsd_committer 2018-04-18 13:58:40 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 18 13:57:52 UTC 2018
New revision: 467711
URL: https://svnweb.freebsd.org/changeset/ports/467711

Log:
  devel/boost-*: update to 1.67.0

  Changes:	http://www.boost.org/users/history/version_1_67_0.html
  PR:		227427
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D15030

Changes:
  head/Mk/Uses/python.mk
  head/archivers/innoextract/Makefile
  head/archivers/tardy/Makefile
  head/astro/libkgeomap/Makefile
  head/astro/libkgeomap-kde4/Makefile
  head/astro/libosmium/Makefile
  head/audio/ardour/Makefile
  head/audio/ardour5/Makefile
  head/audio/clementine-player/Makefile
  head/audio/cpp-xmms2/Makefile
  head/audio/csound6/Makefile
  head/audio/mp3plot/Makefile
  head/audio/mumble/Makefile
  head/audio/murmur/Makefile
  head/audio/musicpd/Makefile
  head/audio/ncmpcpp/Makefile
  head/audio/patchage/Makefile
  head/audio/pms/Makefile
  head/audio/py-tagpy/Makefile
  head/audio/raul/Makefile
  head/audio/sc3-plugins/Makefile
  head/audio/sorcer-lv2/Makefile
  head/audio/supercollider/Makefile
  head/biology/canu/Makefile
  head/biology/seqan-apps/Makefile
  head/cad/freecad/Makefile
  head/cad/fritzing/Makefile
  head/cad/kicad/Makefile
  head/cad/kicad-devel/Makefile
  head/cad/librecad/Makefile
  head/cad/linuxcnc-devel/Makefile
  head/cad/openscad/Makefile
  head/chinese/librime/Makefile
  head/comms/fldigi/Makefile
  head/comms/gnuradio/Makefile
  head/comms/gqrx/Makefile
  head/comms/gr-osmosdr/Makefile
  head/comms/uhd/Makefile
  head/comms/usrp/Makefile
  head/converters/osm2pgrouting/Makefile
  head/converters/osm2pgsql/Makefile
  head/databases/akonadi/Makefile
  head/databases/akonadi-kde4/Makefile
  head/databases/clickhouse/Makefile
  head/databases/galera/Makefile
  head/databases/grass7/Makefile
  head/databases/hamsterdb/Makefile
  head/databases/mariadb100-server/Makefile
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb102-server/Makefile
  head/databases/mariadb55-server/Makefile
  head/databases/mongodb/Makefile
  head/databases/mongodb34/Makefile
  head/databases/mongodb34-rocks/Makefile
  head/databases/mongodb36/Makefile
  head/databases/mysql-connector-c++/Makefile
  head/databases/pgrouting/Makefile
  head/databases/php5-pdo_cassandra/Makefile
  head/databases/sfcgal/Makefile
  head/databases/soci/Makefile
  head/databases/speedtables/Makefile
  head/databases/vsqlite/Makefile
  head/deskutils/easystroke/Makefile
  head/deskutils/gnote/Makefile
  head/deskutils/kdepim-kde4/Makefile
  head/deskutils/kdepim-runtime/Makefile
  head/deskutils/kdepim-runtime-kde4/Makefile
  head/deskutils/kdepimlibs-kde4/Makefile
  head/deskutils/launchy/Makefile
  head/deskutils/libkdepim/Makefile
  head/deskutils/pinot/Makefile
  head/devel/RStudio/Makefile
  head/devel/avro-cpp/Makefile
  head/devel/blitz/Makefile
  head/devel/boost-all/common.mk
  head/devel/boost-docs/distinfo
  head/devel/boost-docs/pkg-plist
  head/devel/boost-jam/Makefile
  head/devel/boost-jam/distinfo
  head/devel/boost-jam/files/patch-debugger.c
  head/devel/boost-libs/Makefile
  head/devel/boost-libs/distinfo
  head/devel/boost-libs/files/patch-boost_wave_cpplexer_re2clex_cpp__re.hpp
  head/devel/boost-libs/files/patch-libs_fiber_src_numa_freebsd_pin__thread.cpp
  head/devel/boost-libs/files/patch-tools_build_src_tools_gcc.jam
  head/devel/boost-libs/pkg-plist
  head/devel/boost-python-libs/distinfo
  head/devel/boost-python-libs/pkg-plist
  head/devel/boost_build/Makefile
  head/devel/codeblocks/Makefile
  head/devel/codeblocks-devel/Makefile
  head/devel/cpp-hocon/Makefile
  head/devel/cpp-netlib/Makefile
  head/devel/cpprestsdk/Makefile
  head/devel/eblob/Makefile
  head/devel/edb/Makefile
  head/devel/gearmand/Makefile
  head/devel/gearmand-devel/Makefile
  head/devel/kdevplatform/Makefile
  head/devel/leatherman/Makefile
  head/devel/libarea/Makefile
  head/devel/libcutl/Makefile
  head/devel/libflatarray/Makefile
  head/devel/libftdi/Makefile
  head/devel/libftdi1/Makefile
  head/devel/libiqxmlrpc/Makefile
  head/devel/libkolab/Makefile
  head/devel/liblas/Makefile
  head/devel/libopkele/Makefile
  head/devel/liborcus/Makefile
  head/devel/log4cxx/Makefile
  head/devel/love07/Makefile
  head/devel/love08/Makefile
  head/devel/love5/Makefile
  head/devel/luabind/Makefile
  head/devel/mongo-cxx-driver/Makefile
  head/devel/monotone/Makefile
  head/devel/msp430-debug-stack/Makefile
  head/devel/py-pyopencl/Makefile
  head/devel/rlvm/Makefile
  head/devel/sdts++/Makefile
  head/devel/simgear/Makefile
  head/devel/smack/Makefile
  head/devel/srecord/Makefile
  head/devel/subcommander2/Makefile
  head/devel/synfig/Makefile
  head/devel/thrift-cpp/Makefile
  head/devel/uatraits/Makefile
  head/devel/umbrello/Makefile
  head/devel/umbrello-kde4/Makefile
  head/devel/vera++/Makefile
  head/devel/xmltooling/Makefile
  head/devel/youcompleteme/Makefile
  head/dns/dnsdist/Makefile
  head/dns/powerdns/Makefile
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor40/Makefile
  head/editors/abiword/Makefile
  head/editors/calligra/Makefile
  head/editors/jucipp/Makefile
  head/editors/libreoffice/Makefile.common
  head/editors/madedit/Makefile
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
  head/editors/pdfedit/Makefile
  head/editors/poedit/Makefile
  head/editors/xmlcopyeditor/Makefile
  head/emulators/citra/Makefile
  head/emulators/citra-qt5/Makefile
  head/emulators/mupen64plus-video-glide64mk2/Makefile
  head/finance/kmymoney-kde4/Makefile
  head/finance/ledger/Makefile
  head/finance/moneymanagerex/Makefile
  head/games/0ad/Makefile
  head/games/alephone/Makefile
  head/games/allacrost/Makefile
  head/games/arx-libertatis/Makefile
  head/games/asc/Makefile
  head/games/bastet/Makefile
  head/games/blobby/Makefile
  head/games/burrtools/Makefile
  head/games/easyrpg-player/Makefile
  head/games/fishsupper/Makefile
  head/games/flightgear/Makefile
  head/games/flightgear-terragear/Makefile
  head/games/flyhard/Makefile
  head/games/frogatto/Makefile
  head/games/galaxyhack/Makefile
  head/games/glob2/Makefile
  head/games/lander/Makefile
  head/games/mkhexgrid/Makefile
  head/games/opendungeons/Makefile
  head/games/openlierox/Makefile
  head/games/openmw/Makefile
  head/games/openyahtzee/Makefile
  head/games/pingus/Makefile
  head/games/pokerth/Makefile
  head/games/py-fife/Makefile
  head/games/scummvm-tools/Makefile
  head/games/spring/Makefile
  head/games/springlobby/Makefile
  head/games/stuntrally/Makefile
  head/games/supertux2/Makefile
  head/games/traingame/Makefile
  head/games/valyriatear/Makefile
  head/games/vamos/Makefile
  head/games/vegastrike/Makefile
  head/games/violetland/Makefile
  head/games/wesnoth/Makefile
  head/games/widelands/Makefile
  head/games/xptools/Makefile
  head/graphics/agave/Makefile
  head/graphics/appleseed/Makefile
  head/graphics/aqsis/Makefile
  head/graphics/blender/Makefile
  head/graphics/caffe/Makefile
  head/graphics/cegui/Makefile
  head/graphics/cloudcompare/Makefile
  head/graphics/colmap/Makefile
  head/graphics/digikam-kde4/Makefile
  head/graphics/dspdfviewer/Makefile
  head/graphics/enblend/Makefile
  head/graphics/evolvotron/Makefile
  head/graphics/fracplanet/Makefile
  head/graphics/gnash/Makefile
  head/graphics/gource/Makefile
  head/graphics/gsculpt/Makefile
  head/graphics/hugin/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/kipi-plugin-gpssync/Makefile
  head/graphics/krita/Makefile
  head/graphics/libcdr01/Makefile
  head/graphics/libetonyek01/Makefile
  head/graphics/libgltf/Makefile
  head/graphics/libopenraw/Makefile
  head/graphics/libzmf/Makefile
  head/graphics/luminance/Makefile
  head/graphics/luminance-qt5/Makefile
  head/graphics/luxrender/Makefile
  head/graphics/mapnik/Makefile
  head/graphics/mitsuba/Makefile
  head/graphics/ogre3d/Makefile
  head/graphics/openimageio/Makefile
  head/graphics/openshadinglanguage/Makefile
  head/graphics/panomatic/Makefile
  head/graphics/pcl-pointclouds/Makefile
  head/graphics/povray37/Makefile
  head/graphics/py-exiv2/Makefile
  head/graphics/py-openimageio/Makefile
  head/graphics/scantailor/Makefile
  head/graphics/vigra/Makefile
  head/irc/ezbounce/Makefile
  head/lang/sdcc/Makefile
  head/lang/sdcc-devel/Makefile
  head/lang/solidity/Makefile
  head/math/armadillo/Makefile
  head/math/aspcud/Makefile
  head/math/cadabra2/Makefile
  head/math/cgal/Makefile
  head/math/clblas/Makefile
  head/math/cryptominisat/Makefile
  head/math/dynare/Makefile
  head/math/fityk/Makefile
  head/math/freemat/Makefile
  head/math/kig/Makefile
  head/math/kig-kde4/Makefile
  head/math/libmesh/Makefile
  head/math/liborigin/Makefile
  head/math/mosesdecoder/Makefile
  head/math/pdal/Makefile
  head/math/rocs/Makefile
  head/math/rocs-kde4/Makefile
  head/math/stp/Makefile
  head/math/vowpal_wabbit/Makefile
  head/misc/artikulate/Makefile
  head/misc/artikulate-kde4/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/cclive/Makefile
  head/multimedia/flvtool++/Makefile
  head/multimedia/gstreamer-qt4/Makefile
  head/multimedia/gstreamer1-qt/Makefile
  head/multimedia/miro/Makefile
  head/multimedia/mkvtoolnix/Makefile
  head/multimedia/oggvideotools/Makefile
  head/multimedia/omxplayer/Makefile
  head/multimedia/vdr-plugin-upnp/Makefile
  head/net/asio/Makefile
  head/net/calendarsupport/Makefile
  head/net/ceph/Makefile
  head/net/ceph-devel/Makefile
  head/net/eventviews/Makefile
  head/net/grive2/Makefile
  head/net/incidenceeditor/Makefile
  head/net/kdenetwork-strigi-analyzers-kde4/Makefile
  head/net/kea/Makefile
  head/net/kget-kde4/Makefile
  head/net/kimap/Makefile
  head/net/kmime/Makefile
  head/net/libcmis/Makefile
  head/net/libksieve/Makefile
  head/net/mailcommon/Makefile
  head/net/mailimporter/Makefile
  head/net/messagelib/Makefile
  head/net/pimcommon/Makefile
  head/net/pktanon/Makefile
  head/net/scribe/Makefile
  head/net/tcpflow/Makefile
  head/net/xorp/Makefile
  head/net-im/ekiga/Makefile
  head/net-im/ktp-call-ui/Makefile
  head/net-im/licq/Makefile
  head/net-im/licq-icq/Makefile
  head/net-im/licq-jabber/Makefile
  head/net-im/licq-msn/Makefile
  head/net-im/licq-osd/Makefile
  head/net-im/licq-qt-gui/Makefile
  head/net-mgmt/fastnetmon/Makefile
  head/net-mgmt/icinga2/Makefile
  head/net-mgmt/metronome/Makefile
  head/net-mgmt/openbmp/Makefile
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/bitcoin-daemon/Makefile
  head/net-p2p/dogecoin/Makefile
  head/net-p2p/eiskaltdcpp-daemon/Makefile
  head/net-p2p/eiskaltdcpp-gtk/Makefile
  head/net-p2p/eiskaltdcpp-lib/Makefile
  head/net-p2p/eiskaltdcpp-qt/Makefile
  head/net-p2p/ktorrent-kde4/Makefile
  head/net-p2p/libktorrent/Makefile
  head/net-p2p/libktorrent-kde4/Makefile
  head/net-p2p/libtorrent-rasterbar/Makefile
  head/net-p2p/linuxdcpp/Makefile
  head/net-p2p/litecoin/Makefile
  head/net-p2p/monero-cli/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/qbittorrent/Makefile
  head/net-p2p/qtum/Makefile
  head/net-p2p/twister/Makefile
  head/net-p2p/zetacoin/Makefile
  head/print/libmspub01/Makefile
  head/print/libpagemaker/Makefile
  head/print/lyx/Makefile
  head/print/pdfcube/Makefile
  head/print/scribus/Makefile
  head/science/ALPSCore/Makefile
  head/science/avogadro/Makefile
  head/science/bddsolve/Makefile
  head/science/gromacs/Makefile
  head/science/iboview/Makefile
  head/science/libgeodecomp/Makefile
  head/science/libkml/Makefile
  head/science/orthanc/Makefile
  head/science/orthanc-dicomweb/Makefile
  head/science/orthanc-postgresql/Makefile
  head/science/orthanc-webviewer/Makefile
  head/science/pulseview/Makefile
  head/science/rdkit/Makefile
  head/science/tfel/Makefile
  head/security/botan110/Makefile
  head/security/botan2/Makefile
  head/security/clamfs/Makefile
  head/security/i2pd/Makefile
  head/security/kleopatra/Makefile
  head/security/opensaml2/Makefile
  head/security/quantis/Makefile
  head/security/shibboleth2-sp/Makefile
  head/security/spass/Makefile
  head/security/trezord/Makefile
  head/sysutils/condor/Makefile
  head/sysutils/facter/Makefile
  head/sysutils/freefilesync/Makefile
  head/sysutils/glogg/Makefile
  head/sysutils/kf5-kwallet/Makefile
  head/sysutils/logstalgia/Makefile
  head/sysutils/ori/Makefile
  head/sysutils/osquery/Makefile
  head/sysutils/twmn/Makefile
  head/sysutils/usbtop/Makefile
  head/textproc/clucene/Makefile
  head/textproc/highlight/Makefile
  head/textproc/kenlm/Makefile
  head/textproc/kiss-templates/Makefile
  head/textproc/libabw/Makefile
  head/textproc/libe-book/Makefile
  head/textproc/libepubgen/Makefile
  head/textproc/libkolabxml/Makefile
  head/textproc/libmwaw03/Makefile
  head/textproc/libodfgen01/Makefile
  head/textproc/libqxp/Makefile
  head/textproc/librevenge/Makefile
  head/textproc/libstaroffice/Makefile
  head/textproc/libvisio01/Makefile
  head/textproc/libwps/Makefile
  head/textproc/libwps03/Makefile
  head/textproc/luceneplusplus/Makefile
  head/textproc/randlm/Makefile
  head/textproc/source-highlight/Makefile
  head/textproc/xmlwrapp/Makefile
  head/www/anyterm/Makefile
  head/www/domoticz/Makefile
  head/www/kdewebdev-kde4/Makefile
  head/www/nghttp2/Makefile
  head/www/osrm-backend/Makefile
  head/www/wt/Makefile
  head/x11/kde-workspace-kde4/Makefile
  head/x11/kf5-kactivities/Makefile
  head/x11/leechcraft/Makefile
  head/x11-toolkits/flowcanvas/Makefile
Comment 36 Jan Beich freebsd_committer 2018-04-18 14:28:40 UTC
Most bustage didn't have any consumers, so I've just decimated it and landed the update in order to avoid the bucket growing with more from new ports or updates.

- editors/openoffice* will be fixed soon, see bug 227553
- graphics/pcl-pointclouds see upstream bug in BROKEN
- games/flightgear-terragear ignored as 10.3 will be EOL soon (10.4 is OK)
Comment 37 commit-hook freebsd_committer 2018-04-20 02:32:05 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 20 02:31:21 UTC 2018
New revision: 467810
URL: https://svnweb.freebsd.org/changeset/ports/467810

Log:
  graphics/pcl-pointclouds: unbreak with boost 1.67

  In file included from /wrkdirs/usr/ports/graphics/pcl-pointclouds/work/pcl-pcl-1.8.1/outofcore/tools/outofcore_process.cpp:53:
  In file included from /wrkdirs/usr/ports/graphics/pcl-pointclouds/work/pcl-pcl-1.8.1/outofcore/include/pcl/outofcore/outofcore_impl.h:50:
  /wrkdirs/usr/ports/graphics/pcl-pointclouds/work/pcl-pcl-1.8.1/outofcore/include/pcl/outofcore/impl/octree_disk_container.hpp:77:74: error: no matching constructor for initialization of 'boost::uuids::random_generator' (aka 'boost::uuids::random_generator_pure')
      boost::uuids::random_generator OutofcoreOctreeDiskContainer<PointT>::uuid_gen_ (&rand_gen_);
                                                                           ^          ~~~~~~~~~~
  /usr/local/include/boost/uuid/random_generator.hpp:149:7: note: candidate constructor (the implicit copy constructor) not viable: no known conversion from 'boost::mt19937 *' (aka 'mersenne_twister_engine<unsigned int, 32, 624, 397, 31, 2567483615U, 11, 4294967295U, 7, 2636928640U, 15, 4022730752U, 18, 1812433253> *') to 'const boost::uuids::random_generator_pure' for 1st argument
  class random_generator_pure
        ^
  /usr/local/include/boost/uuid/random_generator.hpp:149:7: note: candidate constructor (the implicit default constructor) not viable: requires 0 arguments, but 1 was provided

  PR:		227427
  Reported by:	antoine (via exp-run)
  Obtained from:	Homebrew

Changes:
  head/graphics/pcl-pointclouds/Makefile